> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List burn fee calculations

> Returns burn fee calculations, including daily records and surcharges. Returns up to 50 calculations in descending chronological order, or `pageSize` results if specified.



## OpenAPI

````yaml openapi/account.yaml get /v1/fees/redemption/dailyReports
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/fees/redemption/dailyReports:
    get:
      tags:
        - Payouts
      summary: List burn fee calculations
      description: >-
        Returns burn fee calculations, including daily records and surcharges.
        Returns up to 50 calculations in descending chronological order, or
        `pageSize` results if specified.
      operationId: listNetBurnFeeDailyCalculations
      parameters:
        - name: minimumFeeAmount
          description: Burn fee calculations below this value are filtered.
          in: query
          required: false
          schema:
            type: string
            example: '3.14'
        - name: feeType
          description: Fee calculation type
          in: query
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
              - surcharge
            example: net
        - name: walletId
          description: >
            The wallet ID of an external entity to scope results to. If omitted,
            returns only the calculations for the main account. Get wallet IDs
            from the [Core API for
            Institutions](/api-reference/circle-mint/institutional/get-all-external-entities).
          in: query
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/RedemptionFeeCurrency'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of burn fee calculations.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListBurnFeeCalculationsResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RedemptionFeeCalculation'
              examples:
                response:
                  value:
                    data:
                      - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        fee:
                          amount: '3.14'
                          currency: USD
                        cumulatedPayoutAmount:
                          amount: '64.54'
                          currency: USD
                        cumulatedPaymentAmount:
                          amount: '34.54'
                          currency: USD
                        cumulatedNetAmount:
                          amount: '30.00'
                          currency: USD
                        valueDate: '2023-05-23'
                        status: paid
                        thresholdResetTimestamp: '2023-05-23T16:00:00Z'
                        createDate: '2024-04-10T02:13:30.000Z'
                        updateDate: '2024-04-10T02:13:30.000Z'
                        feeType: net
                        redemptionMode: standard
                        aggregationLevel: daily
                      - id: c727dc42-299f-40b7-8599-c4af9d1e1c6b
                        fee:
                          amount: '3000.00'
                          currency: USD
                        cumulatedPayoutAmount:
                          amount: '98000000.00'
                          currency: USD
                        cumulatedPaymentAmount:
                          amount: '95000000.00'
                          currency: USD
                        cumulatedNetAmount:
                          amount: '3000000.00'
                          currency: USD
                        valueDate: '2023-05-31'
                        status: scheduled
                        thresholdResetTimestamp: '2023-05-31T16:00:00Z'
                        createDate: '2023-06-01T02:13:30.000Z'
                        updateDate: '2023-06-01T02:13:30.000Z'
                        feeType: surcharge
                        redemptionMode: institutional
                        aggregationLevel: monthly
                        billingPeriodStart: '2023-05-01'
                        billingPeriodEnd: '2023-06-01'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    RedemptionFeeCurrency:
      name: currency
      description: >-
        Filters results to a single currency. If omitted, returns all supported
        currencies.
      in: query
      required: false
      schema:
        type: string
        enum:
          - USD
          - EUR
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    RedemptionFeeCalculation:
      type: object
      description: A burn fee calculation record.
      properties:
        id:
          $ref: '#/components/schemas/Id'
        fee:
          $ref: '#/components/schemas/FiatMoney'
        credit:
          description: |
            The rebate earned from the activity during this period.
          allOf:
            - $ref: '#/components/schemas/FiatMoney'
        cumulatedPayoutAmount:
          $ref: '#/components/schemas/BurnFeePayoutAmount'
        cumulatedPaymentAmount:
          $ref: '#/components/schemas/BurnFeePaymentAmount'
        cumulatedNetAmount:
          $ref: '#/components/schemas/BurnFeeNetAmount'
        valueDate:
          description: >-
            The date the fee is calculated for. For monthly aggregations, this
            is the last day of the billing cycle.
          type: string
          format: date
          example: '2023-05-23'
        status:
          description: Fee collection status
          type: string
          enum:
            - scheduled
            - pending
            - paid
            - not_charged
        thresholdResetTimestamp:
          description: Fee calculation reset timestamp.
          type: string
          format: date-time
          example: '2023-05-23T16:00:00Z'
        createDate:
          description: The create date of the burn fee calculation.
          type: string
          format: date-time
        updateDate:
          description: The date the burn fee calculation was last updated.
          type: string
          format: date-time
        feeType:
          description: The type of fee calculated for this record.
          type: string
          enum:
            - gross
            - net
            - surcharge
          example: net
        redemptionMode:
          description: The redemption pricing mode used to calculate the fee.
          type: string
          enum:
            - basic
            - institutional
            - institutionalDirect
            - standard
          example: standard
        aggregationLevel:
          description: >
            The aggregation window for the calculation. `daily` records cover a
            single day; `monthly` records cover a billing cycle and are used for
            surcharge calculations.
          type: string
          enum:
            - daily
            - monthly
          example: daily
        billingPeriodStart:
          description: >
            Start date of the billing cycle the calculation covers. Present only
            on `monthly` aggregations.
          type: string
          format: date
          example: '2023-05-01'
        billingPeriodEnd:
          description: >
            Exclusive end date of the billing cycle the calculation covers,
            which is the day after the last day of the cycle. Present only on
            `monthly` aggregations.
          type: string
          format: date
          example: '2023-06-01'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    FiatMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    BurnFeePayoutAmount:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Sum of all initiated payouts, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    BurnFeePaymentAmount:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: >-
            Sum of all push payments received, in units of the currency, with a
            `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    BurnFeeNetAmount:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: >-
            Sum of all initiated payouts minus sum of all received push
            payments, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````